org.jboss.jca.common.api.metadata.common

## Enum FlushStrategy

- java.lang.Object
- - java.lang.Enum<FlushStrategy>
  - - org.jboss.jca.common.api.metadata.common.FlushStrategy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FlushStrategy>

      public enum FlushStrategy
      extends java.lang.Enum<FlushStrategy>

  Flush strategy for the pools
  Author:
    Jesper Pedersen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_CONNECTIONS` All connections
    `ALL_GRACEFULLY` All gracefully
    `ALL_IDLE_CONNECTIONS` All idle connections
    `ALL_INVALID_IDLE_CONNECTIONS` All invalid idle connections
    `ENTIRE_POOL` Entire pool
    `FAILING_CONNECTION_ONLY` Failing connection only (default)
    `GRACEFULLY` Gracefully
    `IDLE_CONNECTIONS` Idle connections
    `INVALID_IDLE_CONNECTIONS` Invalid idle connections
    `UNKNOWN` Unknown

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlushStrategy` | `forName(java.lang.String name)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getName()` Get the name of this element.
    `java.lang.String` | `toString()`
    `static FlushStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FlushStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final FlushStrategy UNKNOWN

      Unknown

    - #### FAILING_CONNECTION_ONLY

          public static final FlushStrategy FAILING_CONNECTION_ONLY

      Failing connection only (default)

    - #### INVALID_IDLE_CONNECTIONS

          public static final FlushStrategy INVALID_IDLE_CONNECTIONS

      Invalid idle connections

    - #### IDLE_CONNECTIONS

          public static final FlushStrategy IDLE_CONNECTIONS

      Idle connections

    - #### GRACEFULLY

          public static final FlushStrategy GRACEFULLY

      Gracefully

    - #### ENTIRE_POOL

          public static final FlushStrategy ENTIRE_POOL

      Entire pool

    - #### ALL_INVALID_IDLE_CONNECTIONS

          public static final FlushStrategy ALL_INVALID_IDLE_CONNECTIONS

      All invalid idle connections

    - #### ALL_IDLE_CONNECTIONS

          public static final FlushStrategy ALL_IDLE_CONNECTIONS

      All idle connections

    - #### ALL_GRACEFULLY

          public static final FlushStrategy ALL_GRACEFULLY

      All gracefully

    - #### ALL_CONNECTIONS

          public static final FlushStrategy ALL_CONNECTIONS

      All connections

  - ### Method Detail

    - #### values

          public static FlushStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlushStrategy c : FlushStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlushStrategy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Get the name of this element.
      Returns:
        The value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<FlushStrategy>`

    - #### forName

          public static FlushStrategy forName(java.lang.String name)

      Static method to get enum instance given localName XsdString
      Parameters:
        `name` - The strategy name
      Returns:
        The enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)